jQuery(function($){

  jQuery(document).ready(function() {

    $(".choice_video_type").on('change', function(){

      var choice_id = jQuery(this).data('choice');

      if(this.value === 'library') {
        jQuery('#choice_video_media_upload_row'+choice_id).css('display', 'table-row');
        jQuery('#choice_video_media_preview_row'+choice_id).css('display', 'table-row');
        jQuery('#choice_library_youtube_video'+choice_id).css('display', 'none');
        jQuery('#choice_library_vimeo_video'+choice_id).css('display', 'none');
      }

      if(this.value === 'youtube') {
        jQuery('#choice_library_youtube_video'+choice_id).css('display', 'table-row');
        jQuery('#choice_video_media_upload_row'+choice_id).css('display', 'none');
        jQuery('#choice_video_media_preview_row'+choice_id).css('display', 'none');
        jQuery('#choice_library_vimeo_video'+choice_id).css('display', 'none');
      }

      if(this.value === 'vimeo') {
        jQuery('#choice_library_vimeo_video'+choice_id).css('display', 'table-row');
        jQuery('#choice_video_media_upload_row'+choice_id).css('display', 'none');
        jQuery('#choice_video_media_preview_row'+choice_id).css('display', 'none');
        jQuery('#choice_library_youtube_video'+choice_id).css('display', 'none');
      }

      if(this.value === '0') {
        jQuery('#choice_library_vimeo_video'+choice_id).css('display', 'none');
        jQuery('#choice_video_media_upload_row'+choice_id).css('display', 'none');
        jQuery('#choice_video_media_preview_row'+choice_id).css('display', 'none');
        jQuery('#choice_library_youtube_video'+choice_id).css('display', 'none');
      }

      return false;
    });

  });

});

jQuery(function($){

  // Set all variables to be used in scope
  var frame,
  metaBox = $('#entusiastics-choice-video-uploader'),
  metaBoxPreview = $('#entusiastics_choice_video_uploader_preview'),
  addVideoLink = metaBox.find('.upload-custom-choice-video'),
  delVideoLink = metaBox.find( '.delete-custom-choice-video'),
  delVideoBadge = metaBox.find( '.delete-custom-badge-choice-video'),
  videoUrlInput = metaBox.find('#choice_video_url'),
  videoIdInput = metaBox.find( '#choice_video_id'),
  videoPreview = metaBoxPreview.find('#choice_video_preview'),
  videoPreviewNoVideo = metaBoxPreview.find('#-choice_video_preview_no_video'),
  videoUrlInputText = metaBoxPreview.find('#choice_video_url_text');
  
  // ADD IMAGE LINK
  addVideoLink.on( 'click', function( event ){

    event.preventDefault();

    // If the media frame already exists, reopen it.
    if ( frame ) {
      frame.open();
      return;
    }
    
    // Create a new media frame
    frame = wp.media({
      title: $('#choice_media_video_title_text').val(),
      button: {
        text: $('#choice_media_video_text_button').val()
      },
      library: {
        type: [ 'video' ]
      },
      multiple: false
    });

    
    // When an video is selected in the media frame...
    frame.on( 'select', function() {

      // Get media attachment details from the frame state
      var attachment = frame.state().get('selection').first();

      console.log(attachment);

      var thumb = attachment.attributes.thumb.src;

      // Send the attachment URL to our custom image input field.
      videoPreview.append('<img src="'+ thumb +'" alt="" />');

      videoPreview.removeClass('hidden');

      // Send the attachment id to our hidden input
      videoIdInput.val(attachment.attributes.id);

      // Send the attachment url to our hidden input
      videoUrlInput.val(attachment.attributes.url);

      videoUrlInputText.html(attachment.attributes.url);

      // Hide the add video link
      addVideoLink.addClass('hidden');

      // Unhide the remove video link
      delVideoLink.removeClass('hidden');

      // Hide preview box text
      videoPreviewNoVideo.addClass('hidden');
    });

    // Finally, open the modal on click
    frame.open();
  });
  
  
  // DELETE IMAGE LINK
  delVideoLink.on( 'click', function( event ){

    event.preventDefault();

    // Clear out the preview video
    videoPreview.find('img').remove();

   // Hide the preview video
   videoPreview.addClass('hidden');

    // Un-hide the add video link
    addVideoLink.removeClass('hidden');

    // Hide the delete video link
    delVideoLink.addClass('hidden');

    // Delete the video id from the hidden input
    videoIdInput.val('');

     // Delete the video url from the hidden input
     videoUrlInput.val('');

    // Un-hide preview text
    videoPreviewNoImage.removeClass('hidden');

  });


  // DELETE IMAGE LINK
  jQuery('body').on( 'click', '.delete-custom-badge-choice-video', function( event ){

    event.preventDefault();

    // Clear out the preview video
    videoPreview.find('img').remove();

    // Hide the preview video
    videoPreview.addClass('hidden');

    // Un-hide the add video link
    addVideoLink.removeClass('hidden');

    // Hide the delete video link
    delVideoLink.addClass('hidden');

    // Delete the video id from the hidden input
    videoIdInput.val('');

   // Delete the video url from the hidden input
   videoUrlInput.val('');

    // Un-hide preview text
    videoPreviewNoVideo.removeClass('hidden');

  });

});